Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util.regexp
Class RegexpUtil

    java.lang.Object
      org.apache.tools.ant.util.regexp.RegexpUtil

    public class RegexpUtil

extends java.lang.Object

Regular expression utilities class which handles flag operations.

Constructor Summary
`RegexpUtil()`

Method Summary
`static boolean` | `hasFlag(int options, int flag)` Check the options has a particular flag set.
`static int` | `removeFlag(int options, int flag)` Remove a particular flag from an int value contains the option flags.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexpUtil

    public RegexpUtil()

Method Detail

### hasFlag

    public static boolean hasFlag(int options,
                                  int flag)

  Check the options has a particular flag set.

  Parameters:
    `options` - an `int` value
    `flag` - an `int` value
  Returns:
    true if the flag is set

### removeFlag

    public static int removeFlag(int options,
                                 int flag)

  Remove a particular flag from an int value contains the option flags.

  Parameters:
    `options` - an `int` value
    `flag` - an `int` value
  Returns:
    the options with the flag unset

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD